Loading...
Searching...
No Matches
Ui::CMainDialog Class Reference

## Public Types

using | DialogCallback = std::function<void()>

## Public Member Functions

bool | EventProcess (const Event &event)
void | StartQuestion (const std::string &text, bool warningYes=false, bool warningNo=false, bool fireParticles=false, DialogCallback yes=nullptr, DialogCallback no=nullptr)
void | StartQuestion (ResTextType text, bool warningYes=false, bool warningNo=false, bool fireParticles=false, DialogCallback yes=nullptr, DialogCallback no=nullptr)
void | StartInformation (const std::string &title, const std::string &text, const std::string &details, bool warning=false, bool fireParticles=false, DialogCallback ok=nullptr)
void | StartPauseMenu ()
void | StopDialog ()
bool | IsDialog ()

## Protected Types

enum class | DialogType { Question , PauseMenu }

## Protected Member Functions

void | StartDialog (Math::Point dim, bool fireParticles)
void | FrameDialog (float rTime)

## Protected Attributes

CRobotMain * | m_main
Gfx::CEngine * | m_engine
Gfx::CParticle * | m_particle
CInterface * | m_interface
CSoundInterface * | m_sound
CSettings * | m_settings
bool | m_dialogOpen
DialogType | m_dialogType
bool | m_dialogFireParticles
Math::Point | m_dialogPos
Math::Point | m_dialogDim
float | m_dialogTime
float | m_dialogParti
DialogCallback | m_callbackYes
DialogCallback | m_callbackNo

The documentation for this class was generated from the following files:

- src/ui/maindialog.h
- src/ui/maindialog.cpp